package ${package};

import org.tinygroup.context.Context;
import org.tinygroup.flow.ComponentInterface;
import org.tinygroup.logger.LogLevel;
import org.tinygroup.logger.Logger;
import org.tinygroup.logger.LoggerFactory;


public class HelloWorldComponent implements ComponentInterface {
	Logger logger = LoggerFactory.getLogger(HelloWorldComponent.class);
	String name;
	String resultKey;

	public String getResultKey() {
		return resultKey;
	}

	public void setResultKey(String resultKey) {
		this.resultKey = resultKey;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void execute(Context context) {
		context.put(resultKey, String.format("Hello, %s", name));
		logger.logMessage(LogLevel.INFO, String.format("Hello, %s", name));
	}

}
